# WOK
TKWOK
MS

# MS_MapOfGlobalEntity Class Reference

`#include <MS_MapOfGlobalEntity.hxx>`

Inheritance diagram for MS_MapOfGlobalEntity:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | MS_MapOfGlobalEntity (const Standard_Integer NbBuckets=1)
Standard_EXPORT MS_MapOfGlobalEntity & | Assign (const MS_MapOfGlobalEntity &Other)
MS_MapOfGlobalEntity & | operator= (const MS_MapOfGlobalEntity &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~MS_MapOfGlobalEntity ()
Standard_EXPORT Standard_Boolean | Bind (const Handle(TCollection_HAsciiString)&K, const Handle(MS_GlobalEntity)&I)
Standard_EXPORT Standard_Boolean | IsBound (const Handle(TCollection_HAsciiString)&K) const
Standard_EXPORT Standard_Boolean | UnBind (const Handle(TCollection_HAsciiString)&K)
Standard_EXPORT const Handle_MS_GlobalEntity & | Find (const Handle(TCollection_HAsciiString)&K) const
const Handle_MS_GlobalEntity & | operator() (const Handle(TCollection_HAsciiString)&K) const
Standard_EXPORT Handle_MS_GlobalEntity & | ChangeFind (const Handle(TCollection_HAsciiString)&K)
Handle_MS_GlobalEntity & | operator() (const Handle(TCollection_HAsciiString)&K)

## Private Member Functions

Standard_EXPORT | MS_MapOfGlobalEntity (const MS_MapOfGlobalEntity &Other)

## Constructor & Destructor Documentation

Standard_EXPORT MS_MapOfGlobalEntity::MS_MapOfGlobalEntity | ( | const Standard_Integer | NbBuckets = `1` | ) |

MS_MapOfGlobalEntity::~MS_MapOfGlobalEntity | ( |  | ) | `[inline]`

Standard_EXPORT MS_MapOfGlobalEntity::MS_MapOfGlobalEntity | ( | const MS_MapOfGlobalEntity & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT MS_MapOfGlobalEntity& MS_MapOfGlobalEntity::Assign | ( | const MS_MapOfGlobalEntity & | Other | ) |

Standard_EXPORT Standard_Boolean MS_MapOfGlobalEntity::Bind | ( | const Handle(TCollection_HAsciiString)& | K,
|  | const Handle(MS_GlobalEntity)& | I
| ) |

Standard_EXPORT Handle_MS_GlobalEntity& MS_MapOfGlobalEntity::ChangeFind | ( | const Handle(TCollection_HAsciiString)& | K | ) |

Standard_EXPORT void MS_MapOfGlobalEntity::Clear | ( |  | ) |

Standard_EXPORT const Handle_MS_GlobalEntity& MS_MapOfGlobalEntity::Find | ( | const Handle(TCollection_HAsciiString)& | K | ) | const

Standard_EXPORT Standard_Boolean MS_MapOfGlobalEntity::IsBound | ( | const Handle(TCollection_HAsciiString)& | K | ) | const

void MS_MapOfGlobalEntity::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

void* MS_MapOfGlobalEntity::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

void* MS_MapOfGlobalEntity::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

Handle_MS_GlobalEntity& MS_MapOfGlobalEntity::operator() | ( | const Handle(TCollection_HAsciiString)& | K | ) | `[inline]`

const Handle_MS_GlobalEntity& MS_MapOfGlobalEntity::operator() | ( | const Handle(TCollection_HAsciiString)& | K | ) | const`[inline]`

MS_MapOfGlobalEntity& MS_MapOfGlobalEntity::operator= | ( | const MS_MapOfGlobalEntity & | Other | ) | `[inline]`

Standard_EXPORT void MS_MapOfGlobalEntity::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean MS_MapOfGlobalEntity::UnBind | ( | const Handle(TCollection_HAsciiString)& | K | ) |

The documentation for this class was generated from the following file:

- MS_MapOfGlobalEntity.hxx